Skip to main content
PUT
/
{instance}
/
star-message
curl --request PUT \ --url https://app.hypersender.com/api/whatsapp/v1/{instance}/star-message \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "chatId": "[email protected]", "messageId": "[email protected]_3EB08F6AD2A432386EFA0E", "star": true } '
{}

Documentation Index

Fetch the complete documentation index at: https://docs.hypersender.com/llms.txt

Use this file to discover all available pages before exploring further.

Star or unstar a message.
Star Message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

application/json

Example:

"application/json"

Content-Type
string

application/json

Example:

"application/json"

Path Parameters

instance
string
required

Instance UUID copied from hypersender dashboard

Example:

"{{ instance_id }}"

Body

application/json
messageId
string
required
star
boolean
required

star or unstar a message

chatId
string

Contact number - learn what is chatId

Response

Successful response

The response is of type object.